Name:          glogg
Version:       0.9.2
Release:       2%{?dist}.1
Group:         Applications/System
Summary:       Smart interactive log explorer
License:       GPLv3+
URL:           http://glogg.bonnefon.org
Source:        http://glogg.bonnefon.org/files/%{name}-%{version}.tar.gz
# We're using python-markdown2
# thus we need to rename markdown -> markdown2
Patch0:        %{name}-python-markdown.patch


BuildRequires:  boost-devel
BuildRequires:  desktop-file-utils
BuildRequires:  hicolor-icon-theme
BuildRequires:  python-markdown2
BuildRequires:  qt-devel > 1:4.0


%description
%{name} is a multi-platform GUI application to browse and search through
long or complex log files. It is designed with programmers and system
administrators in mind. %{name} can be seen as a graphical, interactive
combination of grep and less.


%prep
%setup -q
%patch0 -p1 -b .python-markdown
# Create the missing file. Reported upstream
# https://github.com/nickbnf/glogg/issues/49
echo %{version} >.tarball-version


%build
qmake-qt4
make %{?_smp_flags}


%install
make INSTALL_ROOT=%{buildroot}%{_prefix} install
rm -rf %{buildroot}%{_datadir}/doc
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc COPYING README TODO doc/documentation.html
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri May 09 2014 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.9.2-2.1
- Correct qt-devel BR. Fixes rhbz#1096178.

* Thu Apr 24 2014 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.9.2-2
- Exclude ppc64 architecture due to lack of qt4 package.

* Thu Oct 10 2013 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.9.2-1
- update to the latest available version.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 pmachata@redhat.com - 0.9.1-4
- Rebuild for boost 1.54.0

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.9.1-3
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.9.1-2
- Rebuild for Boost-1.53.0

* Fri Dec 21 2012 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.9.1-1
- update to the latest available version.

* Thu Nov 01 2012 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.8.3-4
- switch to use the python-markdown2 for generating the documentation.

* Mon Oct 29 2012 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.8.3-3
- icon cache refreshing scriplets added.
- superfluous BR removed.

* Wed Oct 03 2012 Damian Wrobel <dwrobel@ertelnet.rybnik.pl> - 0.8.3-1
- initial RPM release.
